SimpleDocTreeVisitor (Compiler Tree API )
Keywords: com.sun.source.util.SimpleDocTreeVisitor class
Date: 2020-03-26

com.sun.source.util

## Class SimpleDocTreeVisitor<R,P>

- java.lang.Object
- - com.sun.source.util.SimpleDocTreeVisitor<R,P>

- All Implemented Interfaces:
    DocTreeVisitor<R,P>

      @Exported
      public class SimpleDocTreeVisitor<R,P>
      extends Object
      implements DocTreeVisitor<R,P>

  A simple visitor for tree nodes.
  Since:
    1.8

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected R` | `DEFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleDocTreeVisitor()`
    `protected` | `SimpleDocTreeVisitor(R defaultValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected R` | `defaultAction(DocTree node, P p)`
    `R` | `visit(DocTree node, P p)`
    `R` | `visit(Iterable<? extends DocTree> nodes, P p)`
    `R` | `visitAttribute(AttributeTree node, P p)`
    `R` | `visitAuthor(AuthorTree node, P p)`
    `R` | `visitComment(CommentTree node, P p)`
    `R` | `visitDeprecated(DeprecatedTree node, P p)`
    `R` | `visitDocComment(DocCommentTree node, P p)`
    `R` | `visitDocRoot(DocRootTree node, P p)`
    `R` | `visitEndElement(EndElementTree node, P p)`
    `R` | `visitEntity(EntityTree node, P p)`
    `R` | `visitErroneous(ErroneousTree node, P p)`
    `R` | `visitIdentifier(IdentifierTree node, P p)`
    `R` | `visitInheritDoc(InheritDocTree node, P p)`
    `R` | `visitLink(LinkTree node, P p)`
    `R` | `visitLiteral(LiteralTree node, P p)`
    `R` | `visitOther(DocTree node, P p)`
    `R` | `visitParam(ParamTree node, P p)`
    `R` | `visitReference(ReferenceTree node, P p)`
    `R` | `visitReturn(ReturnTree node, P p)`
    `R` | `visitSee(SeeTree node, P p)`
    `R` | `visitSerial(SerialTree node, P p)`
    `R` | `visitSerialData(SerialDataTree node, P p)`
    `R` | `visitSerialField(SerialFieldTree node, P p)`
    `R` | `visitSince(SinceTree node, P p)`
    `R` | `visitStartElement(StartElementTree node, P p)`
    `R` | `visitText(TextTree node, P p)`
    `R` | `visitThrows(ThrowsTree node, P p)`
    `R` | `visitUnknownBlockTag(UnknownBlockTagTree node, P p)`
    `R` | `visitUnknownInlineTag(UnknownInlineTagTree node, P p)`
    `R` | `visitValue(ValueTree node, P p)`
    `R` | `visitVersion(VersionTree node, P p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_VALUE

          protected final R DEFAULT_VALUE

  - ### Constructor Detail

    - #### SimpleDocTreeVisitor

          protected SimpleDocTreeVisitor()

    - #### SimpleDocTreeVisitor

          protected SimpleDocTreeVisitor(R defaultValue)

  - ### Method Detail

    - #### defaultAction

          protected R defaultAction(DocTree node,
                                    P p)

    - #### visit

          public final R visit(DocTree node,
                               P p)

    - #### visit

          public final R visit(Iterable<? extends DocTree> nodes,
                               P p)

    - #### visitAttribute

          public R visitAttribute(AttributeTree node,
                                  P p)

      Specified by:
        `visitAttribute` in interface `DocTreeVisitor<R,P>`

    - #### visitAuthor

          public R visitAuthor(AuthorTree node,
                               P p)

      Specified by:
        `visitAuthor` in interface `DocTreeVisitor<R,P>`

    - #### visitComment

          public R visitComment(CommentTree node,
                                P p)

      Specified by:
        `visitComment` in interface `DocTreeVisitor<R,P>`

    - #### visitDeprecated

          public R visitDeprecated(DeprecatedTree node,
                                   P p)

      Specified by:
        `visitDeprecated` in interface `DocTreeVisitor<R,P>`

    - #### visitDocComment

          public R visitDocComment(DocCommentTree node,
                                   P p)

      Specified by:
        `visitDocComment` in interface `DocTreeVisitor<R,P>`

    - #### visitDocRoot

          public R visitDocRoot(DocRootTree node,
                                P p)

      Specified by:
        `visitDocRoot` in interface `DocTreeVisitor<R,P>`

    - #### visitEndElement

          public R visitEndElement(EndElementTree node,
                                   P p)

      Specified by:
        `visitEndElement` in interface `DocTreeVisitor<R,P>`

    - #### visitEntity

          public R visitEntity(EntityTree node,
                               P p)

      Specified by:
        `visitEntity` in interface `DocTreeVisitor<R,P>`

    - #### visitErroneous

          public R visitErroneous(ErroneousTree node,
                                  P p)

      Specified by:
        `visitErroneous` in interface `DocTreeVisitor<R,P>`

    - #### visitIdentifier

          public R visitIdentifier(IdentifierTree node,
                                   P p)

      Specified by:
        `visitIdentifier` in interface `DocTreeVisitor<R,P>`

    - #### visitInheritDoc

          public R visitInheritDoc(InheritDocTree node,
                                   P p)

      Specified by:
        `visitInheritDoc` in interface `DocTreeVisitor<R,P>`

    - #### visitLink

          public R visitLink(LinkTree node,
                             P p)

      Specified by:
        `visitLink` in interface `DocTreeVisitor<R,P>`

    - #### visitLiteral

          public R visitLiteral(LiteralTree node,
                                P p)

      Specified by:
        `visitLiteral` in interface `DocTreeVisitor<R,P>`

    - #### visitParam

          public R visitParam(ParamTree node,
                              P p)

      Specified by:
        `visitParam` in interface `DocTreeVisitor<R,P>`

    - #### visitReference

          public R visitReference(ReferenceTree node,
                                  P p)

      Specified by:
        `visitReference` in interface `DocTreeVisitor<R,P>`

    - #### visitReturn

          public R visitReturn(ReturnTree node,
                               P p)

      Specified by:
        `visitReturn` in interface `DocTreeVisitor<R,P>`

    - #### visitSee

          public R visitSee(SeeTree node,
                            P p)

      Specified by:
        `visitSee` in interface `DocTreeVisitor<R,P>`

    - #### visitSerial

          public R visitSerial(SerialTree node,
                               P p)

      Specified by:
        `visitSerial` in interface `DocTreeVisitor<R,P>`

    - #### visitSerialData

          public R visitSerialData(SerialDataTree node,
                                   P p)

      Specified by:
        `visitSerialData` in interface `DocTreeVisitor<R,P>`

    - #### visitSerialField

          public R visitSerialField(SerialFieldTree node,
                                    P p)

      Specified by:
        `visitSerialField` in interface `DocTreeVisitor<R,P>`

    - #### visitSince

          public R visitSince(SinceTree node,
                              P p)

      Specified by:
        `visitSince` in interface `DocTreeVisitor<R,P>`

    - #### visitStartElement

          public R visitStartElement(StartElementTree node,
                                     P p)

      Specified by:
        `visitStartElement` in interface `DocTreeVisitor<R,P>`

    - #### visitText

          public R visitText(TextTree node,
                             P p)

      Specified by:
        `visitText` in interface `DocTreeVisitor<R,P>`

    - #### visitThrows

          public R visitThrows(ThrowsTree node,
                               P p)

      Specified by:
        `visitThrows` in interface `DocTreeVisitor<R,P>`

    - #### visitUnknownBlockTag

          public R visitUnknownBlockTag(UnknownBlockTagTree node,
                                        P p)

      Specified by:
        `visitUnknownBlockTag` in interface `DocTreeVisitor<R,P>`

    - #### visitUnknownInlineTag

          public R visitUnknownInlineTag(UnknownInlineTagTree node,
                                         P p)

      Specified by:
        `visitUnknownInlineTag` in interface `DocTreeVisitor<R,P>`

    - #### visitValue

          public R visitValue(ValueTree node,
                              P p)

      Specified by:
        `visitValue` in interface `DocTreeVisitor<R,P>`

    - #### visitVersion

          public R visitVersion(VersionTree node,
                                P p)

      Specified by:
        `visitVersion` in interface `DocTreeVisitor<R,P>`

    - #### visitOther

          public R visitOther(DocTree node,
                              P p)

      Specified by:
        `visitOther` in interface `DocTreeVisitor<R,P>`

Copyright © 2005, 2020, Oracle and/or its affiliates. All rights reserved.